pub(super) static VERSION: Option<&str> = Some(r"2024a");

pub(super) static TZNAME_TO_OFFSET: &[(&str, core::ops::Range<usize>)] = &[
    (r"Africa/Abidjan", 0..130),
    (r"Africa/Accra", 130..260),
    (r"Africa/Addis_Ababa", 260..451),
    (r"Africa/Algiers", 451..921),
    (r"Africa/Asmara", 921..1112),
    (r"Africa/Asmera", 1112..1303),
    (r"Africa/Bamako", 1303..1433),
    (r"Africa/Bangui", 1433..1613),
    (r"Africa/Banjul", 1613..1743),
    (r"Africa/Bissau", 1743..1892),
    (r"Africa/Blantyre", 1892..2023),
    (r"Africa/Brazzaville", 2023..2203),
    (r"Africa/Bujumbura", 2203..2334),
    (r"Africa/Cairo", 2334..3643),
    (r"Africa/Casablanca", 3643..5562),
    (r"Africa/Ceuta", 5562..6124),
    (r"Africa/Conakry", 6124..6254),
    (r"Africa/Dakar", 6254..6384),
    (r"Africa/Dar_es_Salaam", 6384..6575),
    (r"Africa/Djibouti", 6575..6766),
    (r"Africa/Douala", 6766..6946),
    (r"Africa/El_Aaiun", 6946..8776),
    (r"Africa/Freetown", 8776..8906),
    (r"Africa/Gaborone", 8906..9037),
    (r"Africa/Harare", 9037..9168),
    (r"Africa/Johannesburg", 9168..9358),
    (r"Africa/Juba", 9358..9816),
    (r"Africa/Kampala", 9816..10007),
    (r"Africa/Khartoum", 10007..10465),
    (r"Africa/Kigali", 10465..10596),
    (r"Africa/Kinshasa", 10596..10776),
    (r"Africa/Lagos", 10776..10956),
    (r"Africa/Libreville", 10956..11136),
    (r"Africa/Lome", 11136..11266),
    (r"Africa/Luanda", 11266..11446),
    (r"Africa/Lubumbashi", 11446..11577),
    (r"Africa/Lusaka", 11577..11708),
    (r"Africa/Malabo", 11708..11888),
    (r"Africa/Maputo", 11888..12019),
    (r"Africa/Maseru", 12019..12209),
    (r"Africa/Mbabane", 12209..12399),
    (r"Africa/Mogadishu", 12399..12590),
    (r"Africa/Monrovia", 12590..12754),
    (r"Africa/Nairobi", 12754..12945),
    (r"Africa/Ndjamena", 12945..13105),
    (r"Africa/Niamey", 13105..13285),
    (r"Africa/Nouakchott", 13285..13415),
    (r"Africa/Ouagadougou", 13415..13545),
    (r"Africa/Porto-Novo", 13545..13725),
    (r"Africa/Sao_Tome", 13725..13898),
    (r"Africa/Timbuktu", 13898..14028),
    (r"Africa/Tripoli", 14028..14459),
    (r"Africa/Tunis", 14459..14908),
    (r"Africa/Windhoek", 14908..15546),
    (r"America/Adak", 15546..16515),
    (r"America/Anchorage", 16515..17492),
    (r"America/Anguilla", 17492..17669),
    (r"America/Antigua", 17669..17846),
    (r"America/Araguaina", 17846..18438),
    (r"America/Argentina/Buenos_Aires", 18438..19146),
    (r"America/Argentina/Catamarca", 19146..19854),
    (r"America/Argentina/ComodRivadavia", 19854..20562),
    (r"America/Argentina/Cordoba", 20562..21270),
    (r"America/Argentina/Jujuy", 21270..21960),
    (r"America/Argentina/La_Rioja", 21960..22677),
    (r"America/Argentina/Mendoza", 22677..23385),
    (r"America/Argentina/Rio_Gallegos", 23385..24093),
    (r"America/Argentina/Salta", 24093..24783),
    (r"America/Argentina/San_Juan", 24783..25500),
    (r"America/Argentina/San_Luis", 25500..26217),
    (r"America/Argentina/Tucuman", 26217..26943),
    (r"America/Argentina/Ushuaia", 26943..27651),
    (r"America/Aruba", 27651..27828),
    (r"America/Asuncion", 27828..28712),
    (r"America/Atikokan", 28712..28861),
    (r"America/Atka", 28861..29830),
    (r"America/Bahia", 29830..30512),
    (r"America/Bahia_Banderas", 30512..31240),
    (r"America/Barbados", 31240..31518),
    (r"America/Belem", 31518..31912),
    (r"America/Belize", 31912..32957),
    (r"America/Blanc-Sablon", 32957..33134),
    (r"America/Boa_Vista", 33134..33564),
    (r"America/Bogota", 33564..33743),
    (r"America/Boise", 33743..34742),
    (r"America/Buenos_Aires", 34742..35450),
    (r"America/Cambridge_Bay", 35450..36333),
    (r"America/Campo_Grande", 36333..37285),
    (r"America/Cancun", 37285..37814),
    (r"America/Caracas", 37814..38004),
    (r"America/Catamarca", 38004..38712),
    (r"America/Cayenne", 38712..38863),
    (r"America/Cayman", 38863..39012),
    (r"America/Chicago", 39012..40766),
    (r"America/Chihuahua", 40766..41457),
    (r"America/Ciudad_Juarez", 41457..42175),
    (r"America/Coral_Harbour", 42175..42324),
    (r"America/Cordoba", 42324..43032),
    (r"America/Costa_Rica", 43032..43264),
    (r"America/Creston", 43264..43504),
    (r"America/Cuiaba", 43504..44438),
    (r"America/Curacao", 44438..44615),
    (r"America/Danmarkshavn", 44615..45062),
    (r"America/Dawson", 45062..46091),
    (r"America/Dawson_Creek", 46091..46774),
    (r"America/Denver", 46774..47816),
    (r"America/Detroit", 47816..48715),
    (r"America/Dominica", 48715..48892),
    (r"America/Edmonton", 48892..49862),
    (r"America/Eirunepe", 49862..50298),
    (r"America/El_Salvador", 50298..50474),
    (r"America/Ensenada", 50474..51499),
    (r"America/Fort_Nelson", 51499..52947),
    (r"America/Fort_Wayne", 52947..53478),
    (r"America/Fortaleza", 53478..53962),
    (r"America/Glace_Bay", 53962..54842),
    (r"America/Godthab", 54842..55807),
    (r"America/Goose_Bay", 55807..57387),
    (r"America/Grand_Turk", 57387..58240),
    (r"America/Grenada", 58240..58417),
    (r"America/Guadeloupe", 58417..58594),
    (r"America/Guatemala", 58594..58806),
    (r"America/Guayaquil", 58806..58985),
    (r"America/Guyana", 58985..59166),
    (r"America/Halifax", 59166..60838),
    (r"America/Havana", 60838..61955),
    (r"America/Hermosillo", 61955..62241),
    (r"America/Indiana/Indianapolis", 62241..62772),
    (r"America/Indiana/Knox", 62772..63788),
    (r"America/Indiana/Marengo", 63788..64355),
    (r"America/Indiana/Petersburg", 64355..65038),
    (r"America/Indiana/Tell_City", 65038..65560),
    (r"America/Indiana/Vevay", 65560..65929),
    (r"America/Indiana/Vincennes", 65929..66487),
    (r"America/Indiana/Winamac", 66487..67090),
    (r"America/Indianapolis", 67090..67621),
    (r"America/Inuvik", 67621..68438),
    (r"America/Iqaluit", 68438..69293),
    (r"America/Jamaica", 69293..69632),
    (r"America/Jujuy", 69632..70322),
    (r"America/Juneau", 70322..71288),
    (r"America/Kentucky/Louisville", 71288..72530),
    (r"America/Kentucky/Monticello", 72530..73502),
    (r"America/Knox_IN", 73502..74518),
    (r"America/Kralendijk", 74518..74695),
    (r"America/La_Paz", 74695..74865),
    (r"America/Lima", 74865..75148),
    (r"America/Los_Angeles", 75148..76442),
    (r"America/Louisville", 76442..77684),
    (r"America/Lower_Princes", 77684..77861),
    (r"America/Maceio", 77861..78363),
    (r"America/Managua", 78363..78658),
    (r"America/Manaus", 78658..79070),
    (r"America/Marigot", 79070..79247),
    (r"America/Martinique", 79247..79425),
    (r"America/Matamoros", 79425..79862),
    (r"America/Mazatlan", 79862..80580),
    (r"America/Mendoza", 80580..81288),
    (r"America/Menominee", 81288..82205),
    (r"America/Merida", 82205..82859),
    (r"America/Metlakatla", 82859..83445),
    (r"America/Mexico_City", 83445..84218),
    (r"America/Miquelon", 84218..84768),
    (r"America/Moncton", 84768..86261),
    (r"America/Monterrey", 86261..86905),
    (r"America/Montevideo", 86905..87874),
    (r"America/Montreal", 87874..89591),
    (r"America/Montserrat", 89591..89768),
    (r"America/Nassau", 89768..91485),
    (r"America/New_York", 91485..93229),
    (r"America/Nipigon", 93229..94946),
    (r"America/Nome", 94946..95921),
    (r"America/Noronha", 95921..96405),
    (r"America/North_Dakota/Beulah", 96405..97448),
    (r"America/North_Dakota/Center", 97448..98438),
    (r"America/North_Dakota/New_Salem", 98438..99428),
    (r"America/Nuuk", 99428..100393),
    (r"America/Ojinaga", 100393..101111),
    (r"America/Panama", 101111..101260),
    (r"America/Pangnirtung", 101260..102115),
    (r"America/Paramaribo", 102115..102302),
    (r"America/Phoenix", 102302..102542),
    (r"America/Port-au-Prince", 102542..103107),
    (r"America/Port_of_Spain", 103107..103284),
    (r"America/Porto_Acre", 103284..103702),
    (r"America/Porto_Velho", 103702..104096),
    (r"America/Puerto_Rico", 104096..104273),
    (r"America/Punta_Arenas", 104273..105491),
    (r"America/Rainy_River", 105491..106785),
    (r"America/Rankin_Inlet", 106785..107592),
    (r"America/Recife", 107592..108076),
    (r"America/Regina", 108076..108714),
    (r"America/Resolute", 108714..109521),
    (r"America/Rio_Branco", 109521..109939),
    (r"America/Rosario", 109939..110647),
    (r"America/Santa_Isabel", 110647..111672),
    (r"America/Santarem", 111672..112081),
    (r"America/Santiago", 112081..113435),
    (r"America/Santo_Domingo", 113435..113752),
    (r"America/Sao_Paulo", 113752..114704),
    (r"America/Scoresbysund", 114704..115688),
    (r"America/Shiprock", 115688..116730),
    (r"America/Sitka", 116730..117686),
    (r"America/St_Barthelemy", 117686..117863),
    (r"America/St_Johns", 117863..119741),
    (r"America/St_Kitts", 119741..119918),
    (r"America/St_Lucia", 119918..120095),
    (r"America/St_Thomas", 120095..120272),
    (r"America/St_Vincent", 120272..120449),
    (r"America/Swift_Current", 120449..120817),
    (r"America/Tegucigalpa", 120817..121011),
    (r"America/Thule", 121011..121466),
    (r"America/Thunder_Bay", 121466..123183),
    (r"America/Tijuana", 123183..124208),
    (r"America/Toronto", 124208..125925),
    (r"America/Tortola", 125925..126102),
    (r"America/Vancouver", 126102..127432),
    (r"America/Virgin", 127432..127609),
    (r"America/Whitehorse", 127609..128638),
    (r"America/Winnipeg", 128638..129932),
    (r"America/Yakutat", 129932..130878),
    (r"America/Yellowknife", 130878..131848),
    (r"Antarctica/Casey", 131848..132135),
    (r"Antarctica/Davis", 132135..132332),
    (r"Antarctica/DumontDUrville", 132332..132486),
    (r"Antarctica/Macquarie", 132486..133462),
    (r"Antarctica/Mawson", 133462..133614),
    (r"Antarctica/McMurdo", 133614..134657),
    (r"Antarctica/Palmer", 134657..135544),
    (r"Antarctica/Rothera", 135544..135676),
    (r"Antarctica/South_Pole", 135676..136719),
    (r"Antarctica/Syowa", 136719..136852),
    (r"Antarctica/Troll", 136852..137010),
    (r"Antarctica/Vostok", 137010..137180),
    (r"Arctic/Longyearbyen", 137180..137885),
    (r"Asia/Aden", 137885..138018),
    (r"Asia/Almaty", 138018..138636),
    (r"Asia/Amman", 138636..139564),
    (r"Asia/Anadyr", 139564..140307),
    (r"Asia/Aqtau", 140307..140913),
    (r"Asia/Aqtobe", 140913..141528),
    (r"Asia/Ashgabat", 141528..141903),
    (r"Asia/Ashkhabad", 141903..142278),
    (r"Asia/Atyrau", 142278..142894),
    (r"Asia/Baghdad", 142894..143524),
    (r"Asia/Bahrain", 143524..143676),
    (r"Asia/Baku", 143676..144420),
    (r"Asia/Bangkok", 144420..144572),
    (r"Asia/Barnaul", 144572..145325),
    (r"Asia/Beirut", 145325..146057),
    (r"Asia/Bishkek", 146057..146675),
    (r"Asia/Brunei", 146675..146995),
    (r"Asia/Calcutta", 146995..147215),
    (r"Asia/Chita", 147215..147965),
    (r"Asia/Choibalsan", 147965..148584),
    (r"Asia/Chongqing", 148584..148977),
    (r"Asia/Chungking", 148977..149370),
    (r"Asia/Colombo", 149370..149617),
    (r"Asia/Dacca", 149617..149848),
    (r"Asia/Damascus", 149848..151082),
    (r"Asia/Dhaka", 151082..151313),
    (r"Asia/Dili", 151313..151483),
    (r"Asia/Dubai", 151483..151616),
    (r"Asia/Dushanbe", 151616..151982),
    (r"Asia/Famagusta", 151982..152922),
    (r"Asia/Gaza", 152922..155872),
    (r"Asia/Harbin", 155872..156265),
    (r"Asia/Hebron", 156265..159233),
    (r"Asia/Ho_Chi_Minh", 159233..159469),
    (r"Asia/Hong_Kong", 159469..160244),
    (r"Asia/Hovd", 160244..160838),
    (r"Asia/Irkutsk", 160838..161598),
    (r"Asia/Istanbul", 161598..162798),
    (r"Asia/Jakarta", 162798..163046),
    (r"Asia/Jayapura", 163046..163217),
    (r"Asia/Jerusalem", 163217..164291),
    (r"Asia/Kabul", 164291..164450),
    (r"Asia/Kamchatka", 164450..165177),
    (r"Asia/Karachi", 165177..165443),
    (r"Asia/Kashgar", 165443..165576),
    (r"Asia/Kathmandu", 165576..165737),
    (r"Asia/Katmandu", 165737..165898),
    (r"Asia/Khandyga", 165898..166673),
    (r"Asia/Kolkata", 166673..166893),
    (r"Asia/Krasnoyarsk", 166893..167634),
    (r"Asia/Kuala_Lumpur", 167634..167890),
    (r"Asia/Kuching", 167890..168210),
    (r"Asia/Kuwait", 168210..168343),
    (r"Asia/Macao", 168343..169134),
    (r"Asia/Macau", 169134..169925),
    (r"Asia/Magadan", 169925..170676),
    (r"Asia/Makassar", 170676..170866),
    (r"Asia/Manila", 170866..171104),
    (r"Asia/Muscat", 171104..171237),
    (r"Asia/Nicosia", 171237..171834),
    (r"Asia/Novokuznetsk", 171834..172560),
    (r"Asia/Novosibirsk", 172560..173313),
    (r"Asia/Omsk", 173313..174054),
    (r"Asia/Oral", 174054..174679),
    (r"Asia/Phnom_Penh", 174679..174831),
    (r"Asia/Pontianak", 174831..175078),
    (r"Asia/Pyongyang", 175078..175261),
    (r"Asia/Qatar", 175261..175413),
    (r"Asia/Qostanay", 175413..176037),
    (r"Asia/Qyzylorda", 176037..176661),
    (r"Asia/Rangoon", 176661..176848),
    (r"Asia/Riyadh", 176848..176981),
    (r"Asia/Saigon", 176981..177217),
    (r"Asia/Sakhalin", 177217..177972),
    (r"Asia/Samarkand", 177972..178338),
    (r"Asia/Seoul", 178338..178753),
    (r"Asia/Shanghai", 178753..179146),
    (r"Asia/Singapore", 179146..179402),
    (r"Asia/Srednekolymsk", 179402..180144),
    (r"Asia/Taipei", 180144..180655),
    (r"Asia/Tashkent", 180655..181021),
    (r"Asia/Tbilisi", 181021..181650),
    (r"Asia/Tehran", 181650..182462),
    (r"Asia/Tel_Aviv", 182462..183536),
    (r"Asia/Thimbu", 183536..183690),
    (r"Asia/Thimphu", 183690..183844),
    (r"Asia/Tokyo", 183844..184057),
    (r"Asia/Tomsk", 184057..184810),
    (r"Asia/Ujung_Pandang", 184810..185000),
    (r"Asia/Ulaanbaatar", 185000..185594),
    (r"Asia/Ulan_Bator", 185594..186188),
    (r"Asia/Urumqi", 186188..186321),
    (r"Asia/Ust-Nera", 186321..187092),
    (r"Asia/Vientiane", 187092..187244),
    (r"Asia/Vladivostok", 187244..187986),
    (r"Asia/Yakutsk", 187986..188727),
    (r"Asia/Yangon", 188727..188914),
    (r"Asia/Yekaterinburg", 188914..189674),
    (r"Asia/Yerevan", 189674..190382),
    (r"Atlantic/Azores", 190382..191835),
    (r"Atlantic/Bermuda", 191835..192859),
    (r"Atlantic/Canary", 192859..193337),
    (r"Atlantic/Cape_Verde", 193337..193512),
    (r"Atlantic/Faeroe", 193512..193953),
    (r"Atlantic/Faroe", 193953..194394),
    (r"Atlantic/Jan_Mayen", 194394..195099),
    (r"Atlantic/Madeira", 195099..196552),
    (r"Atlantic/Reykjavik", 196552..196682),
    (r"Atlantic/South_Georgia", 196682..196814),
    (r"Atlantic/St_Helena", 196814..196944),
    (r"Atlantic/Stanley", 196944..197733),
    (r"Australia/ACT", 197733..198637),
    (r"Australia/Adelaide", 198637..199558),
    (r"Australia/Brisbane", 199558..199847),
    (r"Australia/Broken_Hill", 199847..200788),
    (r"Australia/Canberra", 200788..201692),
    (r"Australia/Currie", 201692..202695),
    (r"Australia/Darwin", 202695..202929),
    (r"Australia/Eucla", 202929..203243),
    (r"Australia/Hobart", 203243..204246),
    (r"Australia/LHI", 204246..204938),
    (r"Australia/Lindeman", 204938..205263),
    (r"Australia/Lord_Howe", 205263..205955),
    (r"Australia/Melbourne", 205955..206859),
    (r"Australia/North", 207763..207997),
    (r"Australia/NSW", 206859..207763),
    (r"Australia/Perth", 207997..208303),
    (r"Australia/Queensland", 208303..208592),
    (r"Australia/South", 208592..209513),
    (r"Australia/Sydney", 209513..210417),
    (r"Australia/Tasmania", 210417..211420),
    (r"Australia/Victoria", 211420..212324),
    (r"Australia/West", 212324..212630),
    (r"Australia/Yancowinna", 212630..213571),
    (r"Brazil/Acre", 213571..213989),
    (r"Brazil/DeNoronha", 213989..214473),
    (r"Brazil/East", 214473..215425),
    (r"Brazil/West", 215425..215837),
    (r"Canada/Atlantic", 217409..219081),
    (r"Canada/Central", 219081..220375),
    (r"Canada/Eastern", 220375..222092),
    (r"Canada/Mountain", 222092..223062),
    (r"Canada/Newfoundland", 223062..224940),
    (r"Canada/Pacific", 224940..226270),
    (r"Canada/Saskatchewan", 226270..226908),
    (r"Canada/Yukon", 226908..227937),
    (r"CET", 215837..216458),
    (r"Chile/Continental", 227937..229291),
    (r"Chile/EasterIsland", 229291..230465),
    (r"CST6CDT", 216458..217409),
    (r"Cuba", 230465..231582),
    (r"EET", 231582..232079),
    (r"Egypt", 233141..234450),
    (r"Eire", 234450..235946),
    (r"EST", 232079..232190),
    (r"EST5EDT", 232190..233141),
    (r"Etc/GMT", 235946..236057),
    (r"Etc/GMT+0", 236057..236168),
    (r"Etc/GMT+1", 236168..236281),
    (r"Etc/GMT+10", 236281..236395),
    (r"Etc/GMT+11", 236395..236509),
    (r"Etc/GMT+12", 236509..236623),
    (r"Etc/GMT+2", 236623..236736),
    (r"Etc/GMT+3", 236736..236849),
    (r"Etc/GMT+4", 236849..236962),
    (r"Etc/GMT+5", 236962..237075),
    (r"Etc/GMT+6", 237075..237188),
    (r"Etc/GMT+7", 237188..237301),
    (r"Etc/GMT+8", 237301..237414),
    (r"Etc/GMT+9", 237414..237527),
    (r"Etc/GMT-0", 237527..237638),
    (r"Etc/GMT-1", 237638..237752),
    (r"Etc/GMT-10", 237752..237867),
    (r"Etc/GMT-11", 237867..237982),
    (r"Etc/GMT-12", 237982..238097),
    (r"Etc/GMT-13", 238097..238212),
    (r"Etc/GMT-14", 238212..238327),
    (r"Etc/GMT-2", 238327..238441),
    (r"Etc/GMT-3", 238441..238555),
    (r"Etc/GMT-4", 238555..238669),
    (r"Etc/GMT-5", 238669..238783),
    (r"Etc/GMT-6", 238783..238897),
    (r"Etc/GMT-7", 238897..239011),
    (r"Etc/GMT-8", 239011..239125),
    (r"Etc/GMT-9", 239125..239239),
    (r"Etc/GMT0", 239239..239350),
    (r"Etc/Greenwich", 239350..239461),
    (r"Etc/UCT", 239461..239572),
    (r"Etc/Universal", 239683..239794),
    (r"Etc/UTC", 239572..239683),
    (r"Etc/Zulu", 239794..239905),
    (r"Europe/Amsterdam", 239905..241008),
    (r"Europe/Andorra", 241008..241397),
    (r"Europe/Astrakhan", 241397..242123),
    (r"Europe/Athens", 242123..242805),
    (r"Europe/Belfast", 242805..244404),
    (r"Europe/Belgrade", 244404..244882),
    (r"Europe/Berlin", 244882..245587),
    (r"Europe/Bratislava", 245587..246310),
    (r"Europe/Brussels", 246310..247413),
    (r"Europe/Bucharest", 247413..248074),
    (r"Europe/Budapest", 248074..248840),
    (r"Europe/Busingen", 248840..249337),
    (r"Europe/Chisinau", 249337..250092),
    (r"Europe/Copenhagen", 250092..250797),
    (r"Europe/Dublin", 250797..252293),
    (r"Europe/Gibraltar", 252293..253513),
    (r"Europe/Guernsey", 253513..255112),
    (r"Europe/Helsinki", 255112..255593),
    (r"Europe/Isle_of_Man", 255593..257192),
    (r"Europe/Istanbul", 257192..258392),
    (r"Europe/Jersey", 258392..259991),
    (r"Europe/Kaliningrad", 259991..260895),
    (r"Europe/Kiev", 260895..261453),
    (r"Europe/Kirov", 261453..262188),
    (r"Europe/Kyiv", 262188..262746),
    (r"Europe/Lisbon", 262746..264200),
    (r"Europe/Ljubljana", 264200..264678),
    (r"Europe/London", 264678..266277),
    (r"Europe/Luxembourg", 266277..267380),
    (r"Europe/Madrid", 267380..268277),
    (r"Europe/Malta", 268277..269205),
    (r"Europe/Mariehamn", 269205..269686),
    (r"Europe/Minsk", 269686..270494),
    (r"Europe/Monaco", 270494..271599),
    (r"Europe/Moscow", 271599..272507),
    (r"Europe/Nicosia", 272507..273104),
    (r"Europe/Oslo", 273104..273809),
    (r"Europe/Paris", 273809..274914),
    (r"Europe/Podgorica", 274914..275392),
    (r"Europe/Prague", 275392..276115),
    (r"Europe/Riga", 276115..276809),
    (r"Europe/Rome", 276809..277756),
    (r"Europe/Samara", 277756..278488),
    (r"Europe/San_Marino", 278488..279435),
    (r"Europe/Sarajevo", 279435..279913),
    (r"Europe/Saratov", 279913..280639),
    (r"Europe/Simferopol", 280639..281504),
    (r"Europe/Skopje", 281504..281982),
    (r"Europe/Sofia", 281982..282574),
    (r"Europe/Stockholm", 282574..283279),
    (r"Europe/Tallinn", 283279..283954),
    (r"Europe/Tirane", 283954..284558),
    (r"Europe/Tiraspol", 284558..285313),
    (r"Europe/Ulyanovsk", 285313..286073),
    (r"Europe/Uzhgorod", 286073..286631),
    (r"Europe/Vaduz", 286631..287128),
    (r"Europe/Vatican", 287128..288075),
    (r"Europe/Vienna", 288075..288733),
    (r"Europe/Vilnius", 288733..289409),
    (r"Europe/Volgograd", 289409..290162),
    (r"Europe/Warsaw", 290162..291085),
    (r"Europe/Zagreb", 291085..291563),
    (r"Europe/Zaporozhye", 291563..292121),
    (r"Europe/Zurich", 292121..292618),
    (r"Factory", 292618..292731),
    (r"GB", 292731..294330),
    (r"GB-Eire", 294330..295929),
    (r"GMT", 295929..296040),
    (r"GMT+0", 296040..296151),
    (r"GMT-0", 296151..296262),
    (r"GMT0", 296262..296373),
    (r"Greenwich", 296373..296484),
    (r"Hongkong", 296596..297371),
    (r"HST", 296484..296596),
    (r"Iceland", 297371..297501),
    (r"Indian/Antananarivo", 297501..297692),
    (r"Indian/Chagos", 297692..297844),
    (r"Indian/Christmas", 297844..297996),
    (r"Indian/Cocos", 297996..298183),
    (r"Indian/Comoro", 298183..298374),
    (r"Indian/Kerguelen", 298374..298526),
    (r"Indian/Mahe", 298526..298659),
    (r"Indian/Maldives", 298659..298811),
    (r"Indian/Mauritius", 298811..298990),
    (r"Indian/Mayotte", 298990..299181),
    (r"Indian/Reunion", 299181..299314),
    (r"Iran", 299314..300126),
    (r"Israel", 300126..301200),
    (r"Jamaica", 301200..301539),
    (r"Japan", 301539..301752),
    (r"Kwajalein", 301752..301971),
    (r"Libya", 301971..302402),
    (r"MET", 302402..303023),
    (r"Mexico/BajaNorte", 304085..305110),
    (r"Mexico/BajaSur", 305110..305828),
    (r"Mexico/General", 305828..306601),
    (r"MST", 303023..303134),
    (r"MST7MDT", 303134..304085),
    (r"Navajo", 308452..309494),
    (r"NZ", 306601..307644),
    (r"NZ-CHAT", 307644..308452),
    (r"Pacific/Apia", 310838..311245),
    (r"Pacific/Auckland", 311245..312288),
    (r"Pacific/Bougainville", 312288..312489),
    (r"Pacific/Chatham", 312489..313297),
    (r"Pacific/Chuuk", 313297..313451),
    (r"Pacific/Easter", 313451..314625),
    (r"Pacific/Efate", 314625..314967),
    (r"Pacific/Enderbury", 314967..315139),
    (r"Pacific/Fakaofo", 315139..315292),
    (r"Pacific/Fiji", 315292..315688),
    (r"Pacific/Funafuti", 315688..315822),
    (r"Pacific/Galapagos", 315822..315997),
    (r"Pacific/Gambier", 315997..316129),
    (r"Pacific/Guadalcanal", 316129..316263),
    (r"Pacific/Guam", 316263..316613),
    (r"Pacific/Honolulu", 316613..316834),
    (r"Pacific/Johnston", 316834..317055),
    (r"Pacific/Kanton", 317055..317227),
    (r"Pacific/Kiritimati", 317227..317401),
    (r"Pacific/Kosrae", 317401..317643),
    (r"Pacific/Kwajalein", 317643..317862),
    (r"Pacific/Majuro", 317862..317996),
    (r"Pacific/Marquesas", 317996..318135),
    (r"Pacific/Midway", 318135..318281),
    (r"Pacific/Nauru", 318281..318464),
    (r"Pacific/Niue", 318464..318618),
    (r"Pacific/Norfolk", 318618..318855),
    (r"Pacific/Noumea", 318855..319053),
    (r"Pacific/Pago_Pago", 319053..319199),
    (r"Pacific/Palau", 319199..319347),
    (r"Pacific/Pitcairn", 319347..319500),
    (r"Pacific/Pohnpei", 319500..319634),
    (r"Pacific/Ponape", 319634..319768),
    (r"Pacific/Port_Moresby", 319768..319922),
    (r"Pacific/Rarotonga", 319922..320328),
    (r"Pacific/Saipan", 320328..320678),
    (r"Pacific/Samoa", 320678..320824),
    (r"Pacific/Tahiti", 320824..320957),
    (r"Pacific/Tarawa", 320957..321091),
    (r"Pacific/Tongatapu", 321091..321328),
    (r"Pacific/Truk", 321328..321482),
    (r"Pacific/Wake", 321482..321616),
    (r"Pacific/Wallis", 321616..321750),
    (r"Pacific/Yap", 321750..321904),
    (r"Poland", 321904..322827),
    (r"Portugal", 322827..324281),
    (r"PRC", 309494..309887),
    (r"PST8PDT", 309887..310838),
    (r"ROC", 324281..324792),
    (r"ROK", 324792..325207),
    (r"Singapore", 325207..325463),
    (r"Turkey", 325463..326663),
    (r"UCT", 326663..326774),
    (r"Universal", 337718..337829),
    (r"US/Alaska", 326774..327751),
    (r"US/Aleutian", 327751..328720),
    (r"US/Arizona", 328720..328960),
    (r"US/Central", 328960..330714),
    (r"US/East-Indiana", 330714..331245),
    (r"US/Eastern", 331245..332989),
    (r"US/Hawaii", 332989..333210),
    (r"US/Indiana-Starke", 333210..334226),
    (r"US/Michigan", 334226..335125),
    (r"US/Mountain", 335125..336167),
    (r"US/Pacific", 336167..337461),
    (r"US/Samoa", 337461..337607),
    (r"UTC", 337607..337718),
    (r"W-SU", 337829..338737),
    (r"WET", 338737..339231),
    (r"Zulu", 339231..339342),
];
